- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_set_limit()

## Synopsis

    bool
    mongoc_cursor_set_limit (mongoc_cursor_t *cursor, int64_t limit);

## Parameters

- `cursor`: A mongoc_cursor_t.
- `limit`: The maximum number of documents to retrieve for this query.

## Description

Limits the number of documents in the result set.

This function is useful for setting the limit on a cursor after the cursor is created, but before any calls to mongoc_cursor_next(). It can also be used to pass a negative limit: The `limit` parameter to `mongoc_cursor_set_limit` is signed, although for backward-compatibility reasons the `limit` parameter to mongoc_collection_find() is not.

Calling this function after mongoc_cursor_next() has no effect.

## Returns

Returns true on success. If any arguments are invalid, returns false and leaves the limit unchanged.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.